Subject: [PATCH 16/29] arm64: KVM: HYP mode world switch implementation

From: [email-masked] (Marc Zyngier)
Date: Thu, 21 Mar 2013 11:54:53 +0000

On 20/03/13 20:04, Christopher Covington wrote:
> Hi Marc,
> 
> On 03/13/2013 03:59 PM, Christopher Covington wrote:
> 
> [...]
> 
>> Alternatively, you could consider storing the host registers in a
>> slimmed-down vcpu structure for hosts, rather than on the stack.

I am actively implementing this (I'm turning the vfp_host pointer into a
full blown CPU context). It looks promising so far, stay tuned.

> One potential argument for storing the host in the same sort of vcpu structure
> as the guest rather than on the hypervisor stack is that snapshot and
> migration support initially intended for guests might more easily be extended
> to work for hosts as well.

Not sure I'm following you here. Are you thinking of snapshoting both
host and guests, and migrating the whole thing? Ambitious... ;-)

	M.
-- 
Jazz is not dead. It just smells funny...